function angle = nanvrrotvecAng(v1, v2)
%mapvrrotvec - a wrapper for vrrotvec that handles NaNs
%
% Inputs:
%    v1, v2 - three element vectors, possibly containing NaNs
%
% Outputs:
%    angle - a positive angle between the vectors in radians
%
% Author: Marc Badger
% email: badger@berkeley.edu
% May 2018; Last revision: 21-May-2018

if(sum(isnan([v1 v2]))>0)
    angle = NaN;
else
    rot = vrrotvec(v1,v2);
    angle = abs(rot(4));
end